Name:          stax-ex
Version:       1.7.7
Release:       %mkrel 7
Group:         Development/Java
Summary:       StAX API extensions
License:       CDDL or GPLv2
Url:           https://stax-ex.dev.java.net
# svn export https://svn.java.net/svn/stax-ex~svn/tags/stax-ex-1.7.7/ stax-ex-1.7.7
# find stax-ex-1.7.7/ -name '*.jar' -delete
# tar czf stax-ex-1.7.7.tar.gz stax-ex-1.7.7
Source0:       %{name}-%{version}.tar.gz

BuildRequires: dos2unix
BuildRequires: maven-local
BuildRequires: mvn(javax.xml.stream:stax-api)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.java:jvnet-parent:pom:)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)

BuildArch:     noarch

%description
This project develops a few extensions to complement JSR-173 StAX API in the
following area.

* Enable parser instance reuse (which is important in the
  high-performance environment like JAXB and JAX-WS)
* Improve the support for reading from non-text XML infoset,
  such as FastInfoset.
* Improve the namespace support.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

%pom_remove_dep javax.activation:activation
%pom_remove_plugin org.codehaus.mojo:buildnumber-maven-plugin
%pom_remove_plugin org.codehaus.mojo:findbugs-maven-plugin
%pom_remove_plugin org.glassfish.copyright:glassfish-copyright-maven-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-deploy-plugin

# Convert the license to UTF-8:
mv LICENSE.txt LICENSE.txt.tmp
iconv -f ISO-8859-1 -t UTF-8 LICENSE.txt.tmp > LICENSE.txt
dos2unix LICENSE.txt

%mvn_file :stax-ex %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt




%changelog
* Sat May 20 2017 neoclust <neoclust> 1.7.7-7.mga6
+ Revision: 1103528
- Fix BuildRequires
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.7.7-5.mga6
+ Revision: 978180
- First rebuild of the java stack
- sync package stax-ex with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Jan 10 2015 daviddavid <daviddavid> 1.7.1-5.mga5
+ Revision: 809826
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 1.7.1-4.mga5
+ Revision: 740784
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.7.1-2.mga4
+ Revision: 522277
- Mageia 4 Mass Rebuild

* Mon Feb 18 2013 dmorgan <dmorgan> 1.7.1-1.mga3
+ Revision: 398986
- New version

* Thu Jan 17 2013 dmorgan <dmorgan> 1.4-3.mga3
+ Revision: 389026
- Remove glassfish-stax-api support

* Wed Jan 16 2013 dmorgan <dmorgan> 1.4-2.mga3
+ Revision: 388664
- Build with maven3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 11 2011 dmorgan <dmorgan> 1.4-1.mga2
+ Revision: 132725
- Fix typo
- Clean spec file

  + gil <gil>
    - update to 1.4
    - imported package stax-ex


* Sun Jul 03 2011 gil <gil> 1.2-0.%%mkrel
- initial rpm